
.subckt Ctrl_Controller 2 3 15 17 18 19 20 21 22 23 32 33 42 43 51 52 62 64 67 69 75 77 80 82 85 87 94 96 99 101 104 106 111 113 116 118 1 36 5 38

*[MCP Begin]
*[MCP Ver] 1.2
*[MCP Source] Cadence MCP Editor
*
*[REM]***********************************************************************
*[Connection] to_PCB  to_PCB
*[Connection Type] 
*[Power Nets]
*1	1	VDD
*36	36	VDDQ
*[Ground Nets]
*5	5	VSS
*38	38	VSSQ
*[Signal Nets]
*2	2	CLK1N
*3	3	CLK1P
*15	15	A7
*17	17	A2
*18	18	A6
*19	19	A5
*20	20	A1
*21	21	A3
*22	22	A4
*23	23	A0
*32	32	CLK2N
*33	33	CLK2P
*42	42	CLK3N
*43	43	CLK3P
*51	51	CLK0N
*52	52	CLK0P
*62	62	DQ4
*64	64	DQ6
*67	67	DQ7
*69	69	DQ5
*75	75	LDQS#
*77	77	LDQS
*80	80	DQ1
*82	82	DQ3
*85	85	DQ2
*87	87	DQ0
*94	94	DQ8
*96	96	DQ10
*99	99	DQ11
*101	101	DQ9
*104	104	UDQS
*106	106	UDQS#
*111	111	DQ13
*113	113	DQ15
*116	116	DQ14
*118	118	DQ12
*
*[MCP End]
.ends Ctrl_Controller


.subckt Ctrl_Controller_OnDie_RC
+ in_2     in_3     in_15     in_17     in_18     in_19     in_20     in_21     in_22
+ in_23     in_32     in_33     in_42     in_43     in_51     in_52     in_62     in_64
+ in_67     in_69     in_75     in_77     in_80     in_82     in_85     in_87     in_94
+ in_96     in_99     in_101     in_104     in_106     in_111     in_113     in_116
+ in_118     in_1     in_36     in_5     in_38     out_2     out_3     out_15     out_17
+ out_18     out_19     out_20     out_21     out_22     out_23     out_32     out_33
+ out_42     out_43     out_51     out_52     out_62     out_64     out_67     out_69
+ out_75     out_77     out_80     out_82     out_85     out_87     out_94     out_96
+ out_99     out_101     out_104     out_106     out_111     out_113     out_116
+ out_118     out_1     out_36     out_5     out_38
* User-specified OnDie parasitics parameters
+ rshort = 0.001		$ Short Resistor
+ rpds = 0.3		$ PDS Resistor
+ cpds = 0.5n		$ PDS Capacitor

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the OnDie parasitics based on the user-specified OnDie parameters.
* Editing of sub-circuit definition is NOT recommended.

** Signals
* For 2
r1_2 in_2 out_2 'rshort'

* For 3
r1_3 in_3 out_3 'rshort'

* For 15
r1_15 in_15 out_15 'rshort'

* For 17
r1_17 in_17 out_17 'rshort'

* For 18
r1_18 in_18 out_18 'rshort'

* For 19
r1_19 in_19 out_19 'rshort'

* For 20
r1_20 in_20 out_20 'rshort'

* For 21
r1_21 in_21 out_21 'rshort'

* For 22
r1_22 in_22 out_22 'rshort'

* For 23
r1_23 in_23 out_23 'rshort'

* For 32
r1_32 in_32 out_32 'rshort'

* For 33
r1_33 in_33 out_33 'rshort'

* For 42
r1_42 in_42 out_42 'rshort'

* For 43
r1_43 in_43 out_43 'rshort'

* For 51
r1_51 in_51 out_51 'rshort'

* For 52
r1_52 in_52 out_52 'rshort'

* For 62
r1_62 in_62 out_62 'rshort'

* For 64
r1_64 in_64 out_64 'rshort'

* For 67
r1_67 in_67 out_67 'rshort'

* For 69
r1_69 in_69 out_69 'rshort'

* For 75
r1_75 in_75 out_75 'rshort'

* For 77
r1_77 in_77 out_77 'rshort'

* For 80
r1_80 in_80 out_80 'rshort'

* For 82
r1_82 in_82 out_82 'rshort'

* For 85
r1_85 in_85 out_85 'rshort'

* For 87
r1_87 in_87 out_87 'rshort'

* For 94
r1_94 in_94 out_94 'rshort'

* For 96
r1_96 in_96 out_96 'rshort'

* For 99
r1_99 in_99 out_99 'rshort'

* For 101
r1_101 in_101 out_101 'rshort'

* For 104
r1_104 in_104 out_104 'rshort'

* For 106
r1_106 in_106 out_106 'rshort'

* For 111
r1_111 in_111 out_111 'rshort'

* For 113
r1_113 in_113 out_113 'rshort'

* For 116
r1_116 in_116 out_116 'rshort'

* For 118
r1_118 in_118 out_118 'rshort'

** Powers
* For 1
r1_1 in_1 out_1 'rshort'
r2_1 in_1 node_1_1 'rpds'
c1_1 node_1_1 in_5 'cpds'

* For 36
r1_36 in_36 out_36 'rshort'
r2_36 in_36 node_1_36 'rpds'
c1_36 node_1_36 in_38 'cpds'

** Grounds
* For 5
* .connect in_5 out_5
* .connect in_5 ngnd
* r_in_5_ngnd  in_5 ngnd 1e-5

* For 38
* .connect in_38 out_38
* .connect in_38 ngnd
* r_in_38_ngnd  in_38 ngnd 1e-5

.ends Ctrl_Controller_OnDie_RC


.subckt Ctrl_Controller_Pin_RLC
+ in_2     in_3     in_15     in_17     in_18     in_19     in_20     in_21     in_22
+ in_23     in_32     in_33     in_42     in_43     in_51     in_52     in_62     in_64
+ in_67     in_69     in_75     in_77     in_80     in_82     in_85     in_87     in_94
+ in_96     in_99     in_101     in_104     in_106     in_111     in_113     in_116
+ in_118     in_1     in_36     in_5     in_38     out_2     out_3     out_15     out_17
+ out_18     out_19     out_20     out_21     out_22     out_23     out_32     out_33
+ out_42     out_43     out_51     out_52     out_62     out_64     out_67     out_69
+ out_75     out_77     out_80     out_82     out_85     out_87     out_94     out_96
+ out_99     out_101     out_104     out_106     out_111     out_113     out_116
+ out_118     out_1     out_36     out_5     out_38
* Package RLC Parameters
+ R_pkg = 1.0146
+ L_pkg = 7.151e-9
+ C_pkg = 3.058e-12

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the package parasitics based on the values of R_pin, L_pin and
* C_pin in the [Pin] section of the component 'Controller' in 'pba_ex.ibs' file.
* Editing of sub-circuit definition is NOT recommended.

** Signals
x_2 in_2 out_2 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_3 in_3 out_3 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_15 in_15 out_15 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_17 in_17 out_17 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_18 in_18 out_18 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_19 in_19 out_19 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_20 in_20 out_20 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_21 in_21 out_21 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_22 in_22 out_22 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_23 in_23 out_23 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_32 in_32 out_32 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_33 in_33 out_33 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_42 in_42 out_42 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_43 in_43 out_43 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_51 in_51 out_51 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_52 in_52 out_52 in_5 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_62 in_62 out_62 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_64 in_64 out_64 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_67 in_67 out_67 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_69 in_69 out_69 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_75 in_75 out_75 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_77 in_77 out_77 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_80 in_80 out_80 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_82 in_82 out_82 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_85 in_85 out_85 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_87 in_87 out_87 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_94 in_94 out_94 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_96 in_96 out_96 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_99 in_99 out_99 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_101 in_101 out_101 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_104 in_104 out_104 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_106 in_106 out_106 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_111 in_111 out_111 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_113 in_113 out_113 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_116 in_116 out_116 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_118 in_118 out_118 in_38 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'

** Powers
* .connect in_1 out_1
* .connect in_36 out_36

** Grounds
* .connect in_5 out_5
* .connect in_5 ngnd
* r_in_5_ngnd  in_5 ngnd 1e-5
* .connect in_38 out_38
* .connect in_38 ngnd
* r_in_38_ngnd  in_38 ngnd 1e-5

.subckt onpkg_RLC in out ngnd
+ R_Pin=1.0146
+ L_Pin=7.151e-9
+ C_Pin=3.058e-12
r1 in 1 R_Pin
l1 1 out L_Pin
c1 out ngnd C_Pin
.ends onpkg_RLC

.ends Ctrl_Controller_Pin_RLC


.subckt Ctrl_Controller_PkgModel
+ in_2     in_3     in_15     in_17     in_18     in_19     in_20     in_21     in_22
+ in_23     in_32     in_33     in_42     in_43     in_51     in_52     in_62     in_64
+ in_67     in_69     in_75     in_77     in_80     in_82     in_85     in_87     in_94
+ in_96     in_99     in_101     in_104     in_106     in_111     in_113     in_116
+ in_118     in_1     in_36     in_5     in_38     out_2     out_3     out_15     out_17
+ out_18     out_19     out_20     out_21     out_22     out_23     out_32     out_33
+ out_42     out_43     out_51     out_52     out_62     out_64     out_67     out_69
+ out_75     out_77     out_80     out_82     out_85     out_87     out_94     out_96
+ out_99     out_101     out_104     out_106     out_111     out_113     out_116
+ out_118     out_1     out_36     out_5     out_38

* NOTE - This is the Topology Workbench generated sub-circuit definition
* Editing of sub-circuit definition is NOT recommended.

* .connect in_2 out_2
* .connect in_3 out_3
* .connect in_15 out_15
* .connect in_17 out_17
* .connect in_18 out_18
* .connect in_19 out_19
* .connect in_20 out_20
* .connect in_21 out_21
* .connect in_22 out_22
* .connect in_23 out_23
* .connect in_32 out_32
* .connect in_33 out_33
* .connect in_42 out_42
* .connect in_43 out_43
* .connect in_51 out_51
* .connect in_52 out_52
* .connect in_62 out_62
* .connect in_64 out_64
* .connect in_67 out_67
* .connect in_69 out_69
* .connect in_75 out_75
* .connect in_77 out_77
* .connect in_80 out_80
* .connect in_82 out_82
* .connect in_85 out_85
* .connect in_87 out_87
* .connect in_94 out_94
* .connect in_96 out_96
* .connect in_99 out_99
* .connect in_101 out_101
* .connect in_104 out_104
* .connect in_106 out_106
* .connect in_111 out_111
* .connect in_113 out_113
* .connect in_116 out_116
* .connect in_118 out_118
* .connect in_1 out_1
* .connect in_36 out_36
* .connect in_5 out_5
* .connect in_5 ngnd
r_in_5_ngnd  in_5 ngnd 1e-5
* .connect in_38 out_38
* .connect in_38 ngnd
r_in_38_ngnd  in_38 ngnd 1e-5

.ends Ctrl_Controller_PkgModel


